0

migrating a Plesk server from 3.5 to 4.0 and reinstalling some apps we use (Tomcat, ffmpeg, etc.). Got all those installed fine, but following the instructions for installing ffmpeg-php (from here: http://wiki.mediatemple.net/w/(dv):Installing_FFmpeg_and_FFmpeg-php), I'm getting an error when I go to ./configure && make

These are the errors I'm seeing:

/root/ffmpeg-php-0.6.0/ffmpeg_frame.c: In function 'zim_ffmpeg_frame_ffmpeg_frame':
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c:432: error: 'PIX_FMTRGB32' undeclared (first use in this function)
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c:432: error: (Each undeclared identifier is reported only once
/root/ffmpeg-php-0.6.0/ffmpeg_frame.c:432: error: for each function it appears in.)

Any ideas?

0

Found a typo. When changing references in ffmpeg_frame.c, I must have got rid of a underscore accidentally. It should be "PIX_FMT_RBG32" and not "PIX_FMTRGB32."

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.